Bug 18327 - Add the ability to set the received date to today on multi receiving serials
Summary: Add the ability to set the received date to today on multi receiving serials
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-24 09:42 UTC by Séverine Queune
Modified: 2018-07-18 11:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18327: Add the ability to set the received date to today on multi receiving serials (7.77 KB, patch)
2018-04-17 18:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18327: Same change for serials-edit (7.71 KB, patch)
2018-04-17 18:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18327: Add the ability to set the received date to today on multi receiving serials (7.91 KB, patch)
2018-04-17 19:49 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 18327: Same change for serials-edit (7.83 KB, patch)
2018-04-17 19:49 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 18327: Rename submit button with 'OK' (1.13 KB, patch)
2018-04-18 16:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18327: Set label width to 50% in modal (822 bytes, patch)
2018-04-18 16:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18327: Add the ability to set the received date to today on multi receiving serials (7.96 KB, patch)
2018-04-19 06:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18327: Same change for serials-edit (7.89 KB, patch)
2018-04-19 06:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18327: Rename submit button with 'OK' (1.18 KB, patch)
2018-04-19 06:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18327: Set label width to 50% in modal (872 bytes, patch)
2018-04-19 06:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18327: Style 'Multi receiving' button like others (1.45 KB, patch)
2018-04-19 10:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2017-03-24 09:42:36 UTC
When receiving several issues for a subscription (Serials > Serial collection > Multi receiving), the reception date is identical to the publication date instead of being the today date.
Comment 1 Séverine Queune 2018-03-09 13:50:00 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor this development !

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 2 Jonathan Druart 2018-04-17 18:12:50 UTC
Created attachment 74375 [details] [review]
Bug 18327: Add the ability to set the received date to today on multi receiving serials

When receiving several issues for a subscription (Serials > Serial
collection > Multi receiving), the reception date is always identical to the
publication date.
In some use cases we would like to set this "date received" value to
today.
Note: "date received" refers to the DB column serial.planneddate

To make this possible this patch replaces the JS prompt with a modal
dialog asking for
 1. the number of issues to receive
 2. if the received date must be set to today

Ergonomic note: bootstrap styled buttons are used, but they do not display correctly
We may need to improve that (later)

Test plan:
- Receive 1 or more serials using the "Multi receiving" buttons
Note that this button appears twice, on the "serial collection
information" and the "serial edition" pages
- Try with and without the new checkbox ticked and confirm the behaviour
is correct (i.e. date received is set to today or set to the publish
date)
- Make sure "Edit serials" and "Generate next" buttons still work as
before
Comment 3 Jonathan Druart 2018-04-17 18:12:53 UTC
Created attachment 74376 [details] [review]
Bug 18327: Same change for serials-edit

And use an include file to avoid copy/paste
Comment 4 Séverine Queune 2018-04-17 19:49:47 UTC
Created attachment 74390 [details] [review]
Bug 18327: Add the ability to set the received date to today on multi receiving serials

When receiving several issues for a subscription (Serials > Serial
collection > Multi receiving), the reception date is always identical to the
publication date.
In some use cases we would like to set this "date received" value to
today.
Note: "date received" refers to the DB column serial.planneddate

To make this possible this patch replaces the JS prompt with a modal
dialog asking for
 1. the number of issues to receive
 2. if the received date must be set to today

Ergonomic note: bootstrap styled buttons are used, but they do not display correctly
We may need to improve that (later)

Test plan:
- Receive 1 or more serials using the "Multi receiving" buttons
Note that this button appears twice, on the "serial collection
information" and the "serial edition" pages
- Try with and without the new checkbox ticked and confirm the behaviour
is correct (i.e. date received is set to today or set to the publish
date)
- Make sure "Edit serials" and "Generate next" buttons still work as
before

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-04-17 19:49:50 UTC
Created attachment 74391 [details] [review]
Bug 18327: Same change for serials-edit

And use an include file to avoid copy/paste

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 6 Séverine Queune 2018-04-17 19:54:57 UTC
The use of checkbox works as expected.
Behaviours of others buttons are the same as before.

I messed bug 18237 when I first this one, I confused myself between numbers...
I hope it won't cause touble.
Comment 7 Katrin Fischer 2018-04-18 06:28:25 UTC
Only some cosmetics:

1) With the patch the buttons on the serials collection and serial edit pages are no longer aligned and look very different. Can we fix this?

2) In the pop-up the submit button is labelled "Multi receiving". I think OK would be better and more consistent with other views (also translations).

3) Can we shorten the input field for entering the number of items and give the text labels more space? Text is already crowded on multiple lines and it will get worse with translations to verbose language like German. :)

Works well. Setting to failed to get some attention :)
Comment 8 Jonathan Druart 2018-04-18 13:42:29 UTC
(In reply to Katrin Fischer from comment #7)
> Only some cosmetics:
> 
> 1) With the patch the buttons on the serials collection and serial edit
> pages are no longer aligned and look very different. Can we fix this?

It's in the commit message, I do not know how to do.
I will need Owen's help.

> 2) In the pop-up the submit button is labelled "Multi receiving". I think OK
> would be better and more consistent with other views (also translations).
> 
> 3) Can we shorten the input field for entering the number of items and give
> the text labels more space? Text is already crowded on multiple lines and it
> will get worse with translations to verbose language like German. :)

follow-up is coming later today.
Comment 9 Jonathan Druart 2018-04-18 16:08:37 UTC
Created attachment 74456 [details] [review]
Bug 18327: Rename submit button with 'OK'
Comment 10 Jonathan Druart 2018-04-18 16:08:40 UTC
Created attachment 74457 [details] [review]
Bug 18327: Set label width to 50% in modal
Comment 11 Jonathan Druart 2018-04-18 16:09:34 UTC
(In reply to Katrin Fischer from comment #7)
> 3) Can we shorten the input field for entering the number of items and give
> the text labels more space? Text is already crowded on multiple lines and it
> will get worse with translations to verbose language like German. :)

I have extended the label, it looks better to me as it.
What do you think?
Comment 12 Katrin Fischer 2018-04-19 06:48:21 UTC
Hm, I will leave it up to you with the follow ups. I am not sure about the pop-up either, maybe Owen will be able to take a look. Functionally it works well.
Comment 13 Katrin Fischer 2018-04-19 06:48:44 UTC
Created attachment 74513 [details] [review]
Bug 18327: Add the ability to set the received date to today on multi receiving serials

When receiving several issues for a subscription (Serials > Serial
collection > Multi receiving), the reception date is always identical to the
publication date.
In some use cases we would like to set this "date received" value to
today.
Note: "date received" refers to the DB column serial.planneddate

To make this possible this patch replaces the JS prompt with a modal
dialog asking for
 1. the number of issues to receive
 2. if the received date must be set to today

Ergonomic note: bootstrap styled buttons are used, but they do not display correctly
We may need to improve that (later)

Test plan:
- Receive 1 or more serials using the "Multi receiving" buttons
Note that this button appears twice, on the "serial collection
information" and the "serial edition" pages
- Try with and without the new checkbox ticked and confirm the behaviour
is correct (i.e. date received is set to today or set to the publish
date)
- Make sure "Edit serials" and "Generate next" buttons still work as
before

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2018-04-19 06:48:48 UTC
Created attachment 74514 [details] [review]
Bug 18327: Same change for serials-edit

And use an include file to avoid copy/paste

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2018-04-19 06:48:52 UTC
Created attachment 74515 [details] [review]
Bug 18327: Rename submit button with 'OK'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2018-04-19 06:48:55 UTC
Created attachment 74516 [details] [review]
Bug 18327: Set label width to 50% in modal

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2018-04-19 06:49:34 UTC
Owen, could you take a look maybe at the GUI bits here for some of your magic?
Comment 18 Jonathan Druart 2018-04-19 10:13:32 UTC
Created attachment 74535 [details] [review]
Bug 18327: Style 'Multi receiving' button like others
Comment 19 Jonathan Druart 2018-04-19 10:14:21 UTC
I have removed the '+' icon, but it did not exist prior to these patches anyway.
Comment 20 Jonathan Druart 2018-04-19 19:45:37 UTC
Pushed to master for 18.05, thanks to everybody involved!